verify_mfa_challenge
POST
/api/v1/auth/mfa/challenge/verify
const url = 'https://example.com/api/v1/auth/mfa/challenge/verify';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"code":"example","flow_token":"example","method":"totp"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/auth/mfa/challenge/verify";
let payload = json!({ "code": "example", "flow_token": "example", "method": "totp" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://example.com/api/v1/auth/mfa/challenge/verify \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "flow_token": "example", "method": "totp" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
code
required
string
flow_token
required
string
method
required
string
Responses
Section titled “Responses”MFA challenge verified and tokens set in HttpOnly cookies
Media typeapplication/json
统一 API 响应格式
成功: { "code": "success", "msg": "", "data": {...} }
失败: { "code": "auth.credentials_failed", "msg": "Invalid Credentials" }
object
code
required
string
data
error
msg
required
string
Example
{ "code": "success", "data": { "status": "authenticated" }}Invalid MFA flow or code